Index: src/edu/ucsb/nceas/metacat/util/MetacatPopulator.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/MetacatPopulator.java	(revision 6123)
+++ src/edu/ucsb/nceas/metacat/util/MetacatPopulator.java	(revision 6124)
@@ -43,6 +43,7 @@
 import org.apache.commons.io.IOUtils;
 import org.dataone.client.D1Client;
 import org.dataone.client.MNode;
+import org.dataone.client.ObjectFormatCache;
 import org.dataone.eml.DataoneEMLParser;
 import org.dataone.eml.EMLDocument;
 import org.dataone.eml.EMLDocument.DistributionMetadata;
@@ -180,7 +181,7 @@
                     SystemMetadata dataDocSysMeta = generateSystemMetadata(doc);
                     //overwrite the bogus values from the last call 
                     dataDocSysMeta.setIdentifier(did);
-                    dataDocSysMeta.setObjectFormat(ObjectFormat.convert(dataDocMimeType));
+                    dataDocSysMeta.setObjectFormat(ObjectFormatCache.getFormat(dataDocMimeType));
                     Checksum checksum = new Checksum();
                     dataDocIs = stringToStream(dataDocText);
                     ChecksumAlgorithm ca = ChecksumAlgorithm.convert("MD5");
@@ -272,16 +273,16 @@
         sm.setIdentifier(id);
         
         //set the object format
-        ObjectFormat format = ObjectFormat.convert(doc.doctype);
+        ObjectFormat format = ObjectFormatCache.getFormat(doc.doctype);
         if(format == null)
         {
             if(doc.doctype.trim().equals("BIN"))
             {
-                format = ObjectFormat.OCTET_STREAM;
+                format = ObjectFormatCache.getFormat("application/octet-stream");
             }
             else
             {
-                format = ObjectFormat.TEXT_PLAIN;
+                format = ObjectFormatCache.getFormat("text/plain");
             }
         }
         sm.setObjectFormat(format);
Index: src/edu/ucsb/nceas/metacat/IdentifierManager.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IdentifierManager.java	(revision 6123)
+++ src/edu/ucsb/nceas/metacat/IdentifierManager.java	(revision 6124)
@@ -35,6 +35,8 @@
 import java.util.Vector;
 
 import org.apache.log4j.Logger;
+import org.dataone.client.ObjectFormatCache;
+import org.dataone.service.exceptions.NotFound;
 import org.dataone.service.types.AccessPolicy;
 import org.dataone.service.types.AccessRule;
 import org.dataone.service.types.Checksum;
@@ -42,6 +44,7 @@
 import org.dataone.service.types.Identifier;
 import org.dataone.service.types.NodeReference;
 import org.dataone.service.types.ObjectFormat;
+import org.dataone.service.types.ObjectFormatIdentifier;
 import org.dataone.service.types.ObjectInfo;
 import org.dataone.service.types.ObjectList;
 import org.dataone.service.types.Permission;
@@ -127,7 +130,18 @@
         Subject submitterSubject = new Subject();
         submitterSubject.setValue(submitter);
         sysMeta.setSubmitter(submitterSubject);
-        sysMeta.setObjectFormat(ObjectFormat.convert(objectFormat));
+        try {
+	        sysMeta.setObjectFormat(ObjectFormatCache.getFormat(objectFormat));
+        } catch (NotFound nfe) {
+          logMetacat.error("The objectFormat " + objectFormat +
+          	" is not registered. Setting the default format.");
+          ObjectFormat of = new ObjectFormat();
+          ObjectFormatIdentifier fmtid = new ObjectFormatIdentifier();
+          fmtid.setValue("application/octet-stream");
+          of.setFmtid(fmtid);
+          of.setFormatName("Octet Stream");
+          sysMeta.setObjectFormat(of);
+        }
         sysMeta.setSize(size);
         
         return sysMeta;
@@ -276,7 +290,18 @@
                 Subject submitterSubject = new Subject();
                 submitterSubject.setValue(submitter);
                 sysMeta.setSubmitter(submitterSubject);
-                sysMeta.setObjectFormat(ObjectFormat.convert(objectFormat));
+                try {
+        	        sysMeta.setObjectFormat(ObjectFormatCache.getFormat(objectFormat));
+                } catch (NotFound nfe) {
+                  logMetacat.error("The objectFormat " + objectFormat +
+                  	" is not registered. Setting the default format.");
+                  ObjectFormat of = new ObjectFormat();
+                  ObjectFormatIdentifier fmtid = new ObjectFormatIdentifier();
+                  fmtid.setValue("application/octet-stream");
+                  of.setFmtid(fmtid);
+                  of.setFormatName("Octet Stream");
+                  sysMeta.setObjectFormat(of);
+                }
                 sysMeta.setSize(size);
                 
                 stmt.close();
@@ -1286,7 +1311,6 @@
     	List<XMLAccessDAO> accessDAOs = new ArrayList<XMLAccessDAO>();
         for (AccessRule accessRule: accessPolicy.getAllowList()) {
         	List<Subject> subjects = accessRule.getSubjectList();
-        	List<Identifier> resources = accessRule.getResourceList();
         	List<Permission> permissions = accessRule.getPermissionList();
         	for (Subject subject: subjects) {
     			XMLAccessDAO accessDAO = new XMLAccessDAO();
@@ -1572,7 +1596,7 @@
                 //cs.setAlgorithm(ChecksumAlgorithm.convert(checksumAlgorithm));
                 oi.setChecksum(cs);
                 
-                ObjectFormat oFormat = ObjectFormat.convert(format);
+                ObjectFormat oFormat = ObjectFormatCache.getFormat(format);
                 if(oFormat != null)
                 {
                     oi.setObjectFormat(oFormat);
@@ -1579,7 +1603,7 @@
                 }
                 else
                 { //if there is no object format, just default to text/plain
-                    oi.setObjectFormat(ObjectFormat.OCTET_STREAM);
+                    oi.setObjectFormat(ObjectFormatCache.getFormat("application/octet-stream"));
                 }
                                 
                 oi.setSize(size);
